Bug 489078 - Using 2 GPUs, vmap allocation for size ?????? failed: use vmalloc=<size> to increase size.
Using 2 GPUs, vmap allocation for size ?????? failed: use vmalloc=<size> to i...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
i686 Linux
low Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-07 00:25 EST by sangu
Modified: 2010-06-28 07:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (51.35 KB, text/plain)
2009-03-07 00:26 EST, sangu
no flags Details

  None (edit)
Description sangu 2009-03-07 00:25:26 EST
Description of problem:
$ dmesg | grep vmap
vmap allocation for size 4198400 failed: use vmalloc=<size> to increase size.
vmap allocation for size 4198400 failed: use vmalloc=<size> to increase size.
vmap allocation for size 2101248 failed: use vmalloc=<size> to increase size.
vmap allocation for size 1052672 failed: use vmalloc=<size> to increase size.
vmap allocation for size 528384 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 520192 failed: use vmalloc=<size> to increase size.
vmap allocation for size 303104 failed: use vmalloc=<size> to increase size.
vmap allocation for size 303104 failed: use vmalloc=<size> to increase size.
vmap allocation for size 303104 failed: use vmalloc=<size> to increase size.
vmap allocation for size 303104 failed: use vmalloc=<size> to increase size.
vmap allocation for size 303104 failed: use vmalloc=<size> to increase size.
vmap allocation for size 303104 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size.
vmap allocation for size 7880704 failed: use vmalloc=<size> to increase size

Version-Release number of selected component (if applicable):
2.6.29-0.207.rc7.fc11

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Xorg doesn't start
Swap partition doesn't be mounted

Expected results:


Additional info:
No problem in x86_64.
Comment 1 sangu 2009-03-07 00:26:18 EST
Created attachment 334383 [details]
dmesg
Comment 2 sangu 2009-03-15 20:36:33 EDT
This bug still happens in kernel-PAE-2.6.29-0.252.rc8.fc11.i686.

No problem in 2.6.29-0.157.rc6.git2.fc11.i686.PAE and recent all x86_64 kernel.

< hw profile : http://www.smolts.org/show?uuid=pub_63e477cc-5ada-41f1-b36d-074ad08f0636 >
Comment 3 sangu 2009-03-16 20:04:35 EDT
9800 GT and  8300 mGPU in my linux box.

Disabling mGPU (in mainboard) -> This problem doesn't appear.
Comment 4 sangu 2009-03-16 22:33:44 EDT
(In reply to comment #3)
> 9800 GT and  8300 mGPU in my linux box.

> Disabling mGPU (in mainboard) -> This problem doesn't appear.  
swap partition is mounted. then gdm doesn't start.
So, after disabling nouveau kernel module, starting X works well.


nouveau kernel module conflicts with nvidia (proprietary) driver in i686(x86).
Comment 5 Ben Skeggs 2009-03-25 00:53:42 EDT
With two G8x series cards nouveau will be using a lot (at least 96MiB between both cards) of vmalloc space.  How do things go if you take the advice the kernel gives and add "vmalloc=256M" to your kernel commandline?

I'll also look into ways we can reduce the amount of vmalloc space we consume.
Comment 6 sangu 2009-03-26 09:11:04 EDT
(In reply to comment #5)
>How do things go if you take the advice the
> kernel gives and add "vmalloc=256M" to your kernel commandline?

After adding vmalloc=256M in kernel commandline, 2 gpu work well in kernel-PAE-2.6.29-0.267.rc8.git4.fc11.i686.

$ dmesg | grep vmalloc
Kernel command line: ro root=UUID=7fb39964-2a89-4978-87a5-deca9f9b732b vmalloc=256M
    vmalloc : 0xef7fe000 - 0xff7fe000   ( 256 MB)
swap_cgroup: uses 1008 bytes of vmalloc for pointer array space and 1032192 bytes to hold mem_cgroup pointers on swap
Comment 7 Bug Zapper 2009-06-09 07:58:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Mike Hanby 2009-06-10 18:00:10 EDT
I encountered the same problem with my Dell XPS m1330 laptop. It has the nVidia Geforce 8400 GS 128MB video card.

I was able to load X just fine when using the default 'nv' driver, but attempting to use the latest NVIDIA-Linux-x86-185.18.14-pkg1.run driver, or the kmod-nvidia-PAE packaged version, X wouldn't load and I'd end up with a black screen.

This is with a clean install of F11 32bit (using the official DVD install released 20090609).

Kernel: 2.6.29.4-167.fc11.i686.PAE

Adding "vmalloc=128MB" to /etc/grub.conf followed by a reboot got things working. X loaded and glxinfo indicates that direct rendering is enabled.
Comment 9 Mike Hanby 2009-06-10 18:10:51 EDT
I suppose I should state that my laptop has a single GPU
Comment 10 Ben Skeggs 2009-08-23 21:51:31 EDT
Any update from either of you guy as to whether this works by default in F11?  I believe for your cases it should've been fixed before release, I reduced our vmalloc space usage as much as possible.  Any further issues are unavoidable, NVIDIA cards simply have very large register apertures and chew a lot of address space.
Comment 11 Bug Zapper 2010-04-27 09:07:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 07:24:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.